@charset "UTF-8";

#zhuanpan {
  width: 25rem;
  height: 25rem;
  margin: 0 auto;
  position: relative;
  z-index: 1;
  /* overflow: hidden; */
  position: relative;
}
#zhuanpan #my_dazhuanpan {
  position: absolute;
  width: 78%;
  height: 78%;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  z-index: 2;
}

#zhuanpan .start_but {
  position: absolute;
  width: 6vw;
  height: 6vw;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  z-index: 9;
}

#zhuanpan .zhuanpan-r1 {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  z-index: 1;
}

#zhuanpan .zhuanpan-r2 {
  position: absolute;
  width: 81%;
  height: 81%;
  z-index: 1;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
}

#zhuanpan .zhuanpan-r3 {
  position: absolute;
  width: 3vw;
  z-index: 5;
  top: 0;
  left: 50%;
  transform: translate(-50%);
}

#zhuanpan .zhuanpan-r3 img {
  width: 100%;
}

body {
  background-color: #111926;
}

.img_1 {
  width: 100%;
  background: url(../index_files/pagebg.jpg) no-repeat;
  background-size: 100%;
  overflow: hidden;
}

.img_1 .draw_web .img_bg1 {
  position: absolute;
  width: 100%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.img_1 .draw_web .img_bg1 img {
  width: 100%;
}

.img_1 .draw_web .img_title {
  position: absolute;
  width: 15vw;
  top: 2.4rem;
  left: 10%;
}

.img_1 .draw_web .img_title img {
  width: 100%;
}

.img_1 .draw_web .event_box {
  position: absolute;
  top: 10rem;
  right: 10%;
  z-index: 2;
  display: none;
}

.img_1 .draw_web .event_box .event_item {
  width: 7vw;
  animation-duration: 1.5s;
}

.img_1 .draw_web .event_box .event_item:nth-child(2) {
  animation-delay: 0.3s;
}

.img_1 .draw_web .event_box .event_item:nth-child(3) {
  animation-delay: 0.8s;
}

.img_1 .draw_web .event_box .event_item img {
  width: 100%;
}

@keyframes scaleUpDown {
  0%,
  100% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.15);
  }
}

.turn-border {
  position: absolute;
  width: 38rem;
  top: -7.2rem;
  left: -6.4rem;
}

.gift-list {
  position: absolute;
  top: 16rem;
  right: 9%;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  width: 13rem;
  height: 22rem;
  background: url(../index_files/box.png) no-repeat;
  background-size: cover;
}

.gift-item {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 4rem;
  height: 4rem;
  margin: 1rem 0;
}

.gift-item img {
  width: 100%;
  animation: scaleUpDown 2s infinite ease-in-out;
}

.zhuan_box {
  position: relative;
  top: 58%;
  transform: translateY(-50%);
}

.zhuan_box .img_bg2 {
  position: absolute;
  width: 25vw;
  height: 20vw;
  top: -12vw;
  left: 50%;
  transform: translate(-50%);
}

.zhuan_box .img_bg2 img {
  width: 100%;
}

.zhuan_box .img_dz {
  position: relative;
  width: 26rem;
  margin: -7rem auto 0;
}

.zhuan_box .img_dz img {
  width: 100%;
}

.zp_bg1 {
  background: url(../index_files/img_3-1-BkgpJvOg.webp) no-repeat;
  background-size: 100%;
  animation: zpbg 1s linear infinite;
}

.zp_bg2 {
  background: url(../index_files/img_4-_AvERK0Y.webp) no-repeat;
  background-size: 100%;
}

.zp_bg4 {
  background: url(../index_files/start-B_tWVb7d.webp) no-repeat;
  background-size: 100%;
}

.product_box .el-dialog__header {
  text-align: center;
}

.product_box .el-dialog__title {
  font-weight: 700;
  color: #000;
  font-size: 17px;
}

.product_box ul {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  max-height: 4rem;
  overflow-y: auto;
}

.product_box ul li {
  width: 30%;
  margin: 2%;
  background: linear-gradient(to bottom, #f4b28f, #ffe5c4);
  border-radius: 10px;
  text-align: center;
  padding: 5px;
}

.product_box ul li img {
  width: 40%;
}

.product_box ul li h2 {
  text-align: center;
  color: #000;
  font-size: 13px;
  margin-bottom: 3px;
}

@media (min-width: 767px) {
  body {
    background: url(../index_files/pagebg.jpg) no-repeat;
    background-size: 100% 100%;
    position: relative;
    overflow: hidden;
  }

  #app {
    height: 100vh !important;
    margin: 0 auto;
  }

  .img_1 {
    /* background: url(../index_files/pagebg.jpg) no-repeat; */
  }

  .draw_h5,
  .prize-com,
  .img_7,
  .show_guize,
  .img_6,
  .img_2 {
    display: none;
  }

  .form-popuo .guestbook_bg {
    width: 80% !important;
    left: 10%;
    top: -0.5rem !important;
  }

  .form-popuo .input-group input {
    width: 80% !important;
    font-size: 14px !important;
    margin: 0 auto;
  }

  .my {
    width: 520px !important;
  }

  .guize {
    width: 520px !important;
    margin: 0 auto;
  }

  .form-popuo {
    width: 30% !important;
  }
}

@media (max-width: 767px) {
  .draw_web,
  .img_bg2 {
    display: none;
  }

  .img_2 {
    opacity: 0;
  }

  #zhuanpan {
    /* width: calc(100vw - 2rem) !important;
    height: calc(100vw - 2rem) !important; */
    width: 22rem;
    height: 22rem;
    top: 17rem;
  }

  #zhuanpan .zhuanpan-r3 {
    width: 3rem !important;
  }

  .zhuan_box {
    position: static !important;
    transform: none !important;
    overflow: visible !important;
  }

  .img_1 {
    background: url(../index_files/pagebg1.png);
    padding-bottom: 0.5rem;
    min-height: 100vh;
    overflow-y: auto;
    background-size: 100%;
  }

  #zhuanpan .start_but {
    width: 7rem;
    height: 7rem;
  }

  .img_1 {
    max-width: 767px;
    margin: 0 auto;
  }

  .img_dz {
    display: none;
  }

  .form-popuo {
    width: 80% !important;
  }

  .segment {
    font-size: 11px !important;
  }
}

@keyframes zpbg {
  0% {
    background: url(../index_files/img_3-1-BkgpJvOg.webp) no-repeat;
    background-size: 100%;
  }

  25% {
    background: url(../index_files/img_3-2-YC7GREtD.webp) no-repeat;
    background-size: 100%;
  }

  50% {
    background: url(../index_files/img_3-3-DsoDhxb-.webp) no-repeat;
    background-size: 100%;
  }

  75% {
    background: url(../index_files/img_3-4-Bb96T4Th.webp) no-repeat;
    background-size: 100%;
  }

  to {
    background: url(../index_files/img_3-1-BkgpJvOg.webp) no-repeat;
    background-size: 100%;
  }
}

.left_right {
  animation: left_right 3s linear infinite;
}

.up_down {
  animation: up_down 3s linear infinite;
}

.daxiao {
  animation: daxiao 3s linear infinite;
}

@keyframes circle {
  0% {
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    transform: rotate(0);
  }

  to {
    -o-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes up_down {
  0% {
    -o-transform: translateY(0);
    -ms-transform: translateY(0);
    -moz-transform: translateY(0);
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }

  50% {
    -o-transform: translateY(20px);
    -ms-transform: translateY(20px);
    -moz-transform: translateY(20px);
    -webkit-transform: translateY(20px);
    transform: translateY(20px);
  }

  to {
    -o-transform: translateY(0);
    -ms-transform: translateY(0);
    -moz-transform: translateY(0);
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}

@keyframes left_right {
  0% {
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    transform: rotate(0);
  }

  25% {
    -o-transform: rotate(10deg);
    -ms-transform: rotate(10deg);
    -moz-transform: rotate(10deg);
    -webkit-transform: rotate(10deg);
    transform: rotate(10deg);
  }

  50% {
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    transform: rotate(0);
  }

  75% {
    -o-transform: rotate(-10deg);
    -ms-transform: rotate(-10deg);
    -moz-transform: rotate(-10deg);
    -webkit-transform: rotate(-10deg);
    transform: rotate(-10deg);
  }

  to {
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    transform: rotate(0);
  }
}

@keyframes daxiao {
  0% {
    -o-transform: scale(1);
    -ms-transform: scale(1);
    -moz-transform: scale(1);
    -webkit-transform: scale(1);
    transform: scale(1);
  }

  25% {
    -o-transform: scale(1.1);
    -ms-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }

  50% {
    -o-transform: scale(1);
    -ms-transform: scale(1);
    -moz-transform: scale(1);
    -webkit-transform: scale(1);
    transform: scale(1);
  }

  75% {
    -o-transform: scale(1.1);
    -ms-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }

  to {
    -o-transform: scale(1);
    -ms-transform: scale(1);
    -moz-transform: scale(1);
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}

@keyframes my-animation {
  0% {
    opacity: 0;
    -o-transform: scale(0);
    -ms-transform: scale(0);
    -moz-transform: scale(0);
    -webkit-transform: scale(0);
    transform: scale(0);
  }

  to {
    opacity: 1;
    -o-transform: scale(1);
    -ms-transform: scale(1);
    -moz-transform: scale(1);
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}

body::-webkit-scrollbar {
  width: 0px;
  height: 1px;
}

body::-webkit-scrollbar-thumb {
  border-radius: 1px;
  box-shadow: inset 0 0 5px #0003;
  background: #535353;
}

body::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px #0003;
  border-radius: 1px;
  background: #ededed;
}

.guize .el-drawer__body::-webkit-scrollbar {
  width: 0px;
  height: 1px;
}

.guize .el-drawer__body::-webkit-scrollbar-thumb {
  border-radius: 1px;
  box-shadow: inset 0 0 5px #0003;
  background: #535353;
}

.guize .el-drawer__body::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px #0003;
  border-radius: 1px;
  background: #ededed;
}

.wheel-container {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.wheel {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  /* background: conic-gradient(red, red 36deg, #fff 36deg, #fff 72deg, red 72deg, red 108deg, #fff 108deg, #fff 144deg, red 144deg, red 180deg, #fff 180deg, #fff 216deg, red 216deg, red 252deg, #fff 252deg, #fff 288deg, red 288deg, red 324deg, #fff 324deg, #fff 360deg, red 360deg) */
}

@keyframes spinAnimation {
  0% {
    transform: rotate(0);
  }

  to {
    transform: rotate(360deg);
  }
}

.segment {
  position: absolute;
  width: 50%;
  height: 50%;
  left: 50%;
  top: 50%;
  transform-origin: left top;
  font-size: 12px;
  white-space: pre-wrap;
  word-wrap: break-word;
  overflow: hidden;
  writing-mode: vertical-rl;
  text-orientation: mixed;
}

.segment:nth-child(odd) {
  color: #fff;
}

.prize-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1rem;
  padding: 1rem;
}

.prize-list .prize-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5rem;
  padding: 1rem;
  border-radius: 0.5rem;
  background-color: #eaedf2;
  color: #000;
  font-weight: 700;
  text-align: center;
}

.prize-list .prize-item img {
  width: 50%;
}

.event_box.mobile {
  display: none;
}

@media screen and (max-width: 767px) {
  .event_box.mobile {
    display: flex;
    justify-content: center;
    position: fixed;
    top: 20px;
    left: 0;
    right: 0;
  }

  .event_box.mobile .event_item {
    width: 80px;
    animation-duration: 1.5s;
    display: none;
  }

  .event_box.mobile .event_item:nth-child(2) {
    animation-delay: 0.3s;
  }

  .event_box.mobile .event_item:nth-child(3) {
    animation-delay: 0.8s;
  }

  .event_box.mobile .event_item img {
    width: 100%;
  }
  .turn-border{
    display: none;
  }
  .gift-list {
    top: 8rem;
    position: absolute;
    right: 0;
    z-index: 2;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    background: none;
    height: auto;
  }

  .gift-item {
    height: 5rem;
    width: 16%;
    margin: 0 0.3rem;
  }
}

.guize ul li {
  height: 40px;
  line-height: 40px;
  margin-bottom: 8px;
  border-radius: 5px;
  background: linear-gradient(50deg, #fefefe, #02ce8017 50%, #02ce801a);
}

.guize ul li:nth-child(1) {
  background: linear-gradient(50deg, #fbfbfb, #e4c85959 50%, #e4c85985);
}

.guize ul li:nth-child(2) {
  background: linear-gradient(50deg, #fbfbfb, #4c92d041 50%, #4c92d06a);
}

.guize ul li:nth-child(3) {
  background: linear-gradient(50deg, #fbfbfb, #ffc1763a 50%, #ffc1767b);
}

.guize ul li .ul-li-bg {
  width: 32px;
  height: 30px;
  display: inline-block;
  text-align: center;
  line-height: 30px;
  font-weight: 700;
  color: #732f2f;
  margin-right: 20px;
}

.guize ul li .ul-li-tag {
  float: right;
  margin-right: 1rem;
}

.guize ul li .ul-li-c {
  width: 42px;
  height: 30px;
  display: inline-block;
  text-align: center;
  line-height: 30px;
  font-weight: 400;
  color: #1c6e48;
  margin-right: 10px;
}
